/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED! */
#ifndef __ATOMICS_LSKEL_SKEL_H__
#define __ATOMICS_LSKEL_SKEL_H__

#include <stdlib.h>
#include <bpf/bpf.h>
#include <bpf/skel_internal.h>

struct atomics_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc data;
		struct bpf_map_desc bss;
	} maps;
	struct {
		struct bpf_prog_desc add;
		struct bpf_prog_desc sub;
		struct bpf_prog_desc and;
		struct bpf_prog_desc or;
		struct bpf_prog_desc xor;
		struct bpf_prog_desc cmpxchg;
		struct bpf_prog_desc xchg;
	} progs;
	struct {
		int add_fd;
		int sub_fd;
		int and_fd;
		int or_fd;
		int xor_fd;
		int cmpxchg_fd;
		int xchg_fd;
	} links;
	struct atomics_lskel__data {
		_Bool skip_tests;
		char __pad0[7];
		__u64 add64_value;
		__u32 add32_value;
		char __pad1[4];
		__u64 add_noreturn_value;
		__s64 sub64_value;
		__s32 sub32_value;
		char __pad2[4];
		__s64 sub_noreturn_value;
		__u64 and64_value;
		__u32 and32_value;
		char __pad3[4];
		__u64 and_noreturn_value;
		__u64 or64_value;
		__u32 or32_value;
		char __pad4[4];
		__u64 or_noreturn_value;
		__u64 xor64_value;
		__u32 xor32_value;
		char __pad5[4];
		__u64 xor_noreturn_value;
		__u64 cmpxchg64_value;
		__u32 cmpxchg32_value;
		char __pad6[4];
		__u64 xchg64_value;
		__u32 xchg32_value;
	} *data;
	struct atomics_lskel__bss {
		__u32 pid;
		char __pad0[4];
		__u64 add64_result;
		__u32 add32_result;
		char __pad1[4];
		__u64 add_stack_value_copy;
		__u64 add_stack_result;
		__s64 sub64_result;
		__s32 sub32_result;
		char __pad2[4];
		__s64 sub_stack_value_copy;
		__s64 sub_stack_result;
		__u64 and64_result;
		__u32 and32_result;
		char __pad3[4];
		__u64 or64_result;
		__u32 or32_result;
		char __pad4[4];
		__u64 xor64_result;
		__u32 xor32_result;
		char __pad5[4];
		__u64 cmpxchg64_result_fail;
		__u64 cmpxchg64_result_succeed;
		__u32 cmpxchg32_result_fail;
		__u32 cmpxchg32_result_succeed;
		__u64 xchg64_result;
		__u32 xchg32_result;
	} *bss;
};

static inline int
atomics_lskel__add__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.add.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.add_fd = fd;
	return fd;
}

static inline int
atomics_lskel__sub__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.sub.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.sub_fd = fd;
	return fd;
}

static inline int
atomics_lskel__and__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.and.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.and_fd = fd;
	return fd;
}

static inline int
atomics_lskel__or__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.or.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.or_fd = fd;
	return fd;
}

static inline int
atomics_lskel__xor__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.xor.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.xor_fd = fd;
	return fd;
}

static inline int
atomics_lskel__cmpxchg__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.cmpxchg.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.cmpxchg_fd = fd;
	return fd;
}

static inline int
atomics_lskel__xchg__attach(struct atomics_lskel *skel)
{
	int prog_fd = skel->progs.xchg.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.xchg_fd = fd;
	return fd;
}

static inline int
atomics_lskel__attach(struct atomics_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : atomics_lskel__add__attach(skel);
	ret = ret < 0 ? ret : atomics_lskel__sub__attach(skel);
	ret = ret < 0 ? ret : atomics_lskel__and__attach(skel);
	ret = ret < 0 ? ret : atomics_lskel__or__attach(skel);
	ret = ret < 0 ? ret : atomics_lskel__xor__attach(skel);
	ret = ret < 0 ? ret : atomics_lskel__cmpxchg__attach(skel);
	ret = ret < 0 ? ret : atomics_lskel__xchg__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
atomics_lskel__detach(struct atomics_lskel *skel)
{
	skel_closenz(skel->links.add_fd);
	skel_closenz(skel->links.sub_fd);
	skel_closenz(skel->links.and_fd);
	skel_closenz(skel->links.or_fd);
	skel_closenz(skel->links.xor_fd);
	skel_closenz(skel->links.cmpxchg_fd);
	skel_closenz(skel->links.xchg_fd);
}
static void
atomics_lskel__destroy(struct atomics_lskel *skel)
{
	if (!skel)
		return;
	atomics_lskel__detach(skel);
	skel_closenz(skel->progs.add.prog_fd);
	skel_closenz(skel->progs.sub.prog_fd);
	skel_closenz(skel->progs.and.prog_fd);
	skel_closenz(skel->progs.or.prog_fd);
	skel_closenz(skel->progs.xor.prog_fd);
	skel_closenz(skel->progs.cmpxchg.prog_fd);
	skel_closenz(skel->progs.xchg.prog_fd);
	munmap(skel->data, 4096);
	skel_closenz(skel->maps.data.map_fd);
	munmap(skel->bss, 4096);
	skel_closenz(skel->maps.bss.map_fd);
	free(skel);
}
static inline struct atomics_lskel *
atomics_lskel__open(void)
{
	struct atomics_lskel *skel;

	skel = calloc(sizeof(*skel), 1);
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->data =
		mmap(NULL, 4096, PROT_READ | PROT_WRITE,
		     MAP_SHARED | MAP_ANONYMOUS, -1, 0);
	if (skel->data == (void *) -1)
		goto cleanup;
	memcpy(skel->data, (void *)"\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x01\x10\0\0\0\0\0\0\x01\
\x10\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\
\x01\x10\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\x01\x10\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01", 156);
	skel->maps.data.initial_value = (__u64)(long)skel->data;
	skel->bss =
		mmap(NULL, 4096, PROT_READ | PROT_WRITE,
		     MAP_SHARED | MAP_ANONYMOUS, -1, 0);
	if (skel->bss == (void *) -1)
		goto cleanup;
	memcpy(skel->bss, (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 156);
	skel->maps.bss.initial_value = (__u64)(long)skel->bss;
	return skel;
cleanup:
	atomics_lskel__destroy(skel);
	return NULL;
}

static inline int
atomics_lskel__load(struct atomics_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 6080;
	opts.data = (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\
\0\0\0\x18\0\0\0\0\0\0\x05\x88\0\0\x05\x88\0\0\x04\x4d\0\0\0\0\x02\0\0\0\0\0\0\
\x02\0\0\0\x01\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\
\0\x14\0\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x1c\x0c\0\0\
\x01\0\0\0\x03\0\0\0\x20\x0c\0\0\x01\0\0\0\x03\0\0\0\x24\x0c\0\0\x01\0\0\0\x03\
\0\0\0\x28\x0c\0\0\x01\0\0\0\x03\0\0\0\x2b\x0c\0\0\x01\0\0\0\x03\0\0\0\x2f\x0c\
\0\0\x01\0\0\0\x03\0\0\0\x37\x0c\0\0\x01\0\0\0\x03\0\0\0\x3c\x01\0\0\0\0\0\0\
\x01\x04\0\0\x08\0\0\0\x42\x0e\0\0\0\0\0\0\x0c\0\0\0\x01\0\0\0\x4d\x08\0\0\0\0\
\0\0\x0f\0\0\0\x53\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x60\x0e\0\0\0\0\0\0\x0e\
\0\0\0\x01\0\0\0\x64\x08\0\0\0\0\0\0\x02\0\0\0\x6a\x0e\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\x76\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x83\x0e\0\0\0\0\0\0\x0e\0\0\
\0\x01\0\0\0\x8f\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\0\x9c\x0e\0\0\0\0\0\0\x11\0\
\0\0\x01\0\0\0\xb1\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\xc2\x0e\0\0\0\0\0\0\x11\
\0\0\0\x01\0\0\0\xd5\x08\0\0\0\0\0\0\x1a\0\0\0\xdb\x01\0\0\0\0\0\0\x08\x01\0\0\
\x40\0\0\0\xe5\x0e\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\xf1\x0e\0\0\0\0\0\0\x19\0\0\
\0\x01\0\0\0\xfe\x08\0\0\0\0\0\0\x04\0\0\x01\x04\x0e\0\0\0\0\0\0\x1d\0\0\0\x01\
\0\0\x01\x10\x0e\0\0\0\0\0\0\x1d\0\0\0\x01\0\0\x01\x1d\x0e\0\0\0\0\0\0\x19\0\0\
\0\x01\0\0\x01\x32\x0e\0\0\0\0\0\0\x19\0\0\0\x01\0\0\x01\x43\x0e\0\0\0\0\0\0\
\x19\0\0\0\x01\0\0\x01\x56\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\x01\x62\x0e\0\0\0\
\0\0\0\x11\0\0\0\x01\0\0\x01\x6f\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\x01\x7b\x0e\
\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\x01\x88\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\x01\
\x9b\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\x01\xa6\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\
\0\x01\xb2\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\x01\xbd\x0e\0\0\0\0\0\0\x0e\0\0\0\
\x01\0\0\x01\xc9\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\x01\xdb\x0e\0\0\0\0\0\0\x11\
\0\0\0\x01\0\0\x01\xe7\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\x01\xf4\x0e\0\0\0\0\0\
\0\x0e\0\0\0\x01\0\0\x02\0\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\x02\x0d\x0e\0\0\0\
\0\0\0\x11\0\0\0\x01\0\0\x02\x20\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\x02\x30\x0e\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\x02\x46\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\x02\
\x5f\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\x02\x6f\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\
\0\x02\x85\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\x02\x9e\x0e\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\x02\xab\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\x02\xb9\x0e\0\0\0\0\0\0\x0e\
\0\0\0\x01\0\0\x02\xc6\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\x04\x2a\x0f\0\0\x14\0\
\0\0\x9c\0\0\0\x0d\0\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\x08\0\0\0\x08\0\0\0\x14\0\
\0\0\x10\0\0\0\x04\0\0\0\x18\0\0\0\x18\0\0\0\x08\0\0\0\x1b\0\0\0\x20\0\0\0\x08\
\0\0\0\x1e\0\0\0\x28\0\0\0\x04\0\0\0\x22\0\0\0\x30\0\0\0\x08\0\0\0\x23\0\0\0\
\x38\0\0\0\x08\0\0\0\x25\0\0\0\x40\0\0\0\x04\0\0\0\x27\0\0\0\x48\0\0\0\x08\0\0\
\0\x28\0\0\0\x50\0\0\0\x08\0\0\0\x2a\0\0\0\x58\0\0\0\x04\0\0\0\x2c\0\0\0\x60\0\
\0\0\x08\0\0\0\x2d\0\0\0\x68\0\0\0\x08\0\0\0\x2f\0\0\0\x70\0\0\0\x04\0\0\0\x31\
\0\0\0\x78\0\0\0\x08\0\0\0\x32\0\0\0\x80\0\0\0\x08\0\0\0\x35\0\0\0\x88\0\0\0\
\x04\0\0\0\x38\0\0\0\x90\0\0\0\x08\0\0\0\x3a\0\0\0\x98\0\0\0\x04\0\0\x04\x30\
\x0f\0\0\x15\0\0\0\x9c\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\x13\0\0\0\x08\0\0\0\
\x08\0\0\0\x15\0\0\0\x10\0\0\0\x04\0\0\0\x16\0\0\0\x18\0\0\0\x08\0\0\0\x17\0\0\
\0\x20\0\0\0\x08\0\0\0\x1c\0\0\0\x28\0\0\0\x08\0\0\0\x1f\0\0\0\x30\0\0\0\x04\0\
\0\0\x20\0\0\0\x38\0\0\0\x08\0\0\0\x21\0\0\0\x40\0\0\0\x08\0\0\0\x24\0\0\0\x48\
\0\0\0\x08\0\0\0\x26\0\0\0\x50\0\0\0\x04\0\0\0\x29\0\0\0\x58\0\0\0\x08\0\0\0\
\x2b\0\0\0\x60\0\0\0\x04\0\0\0\x2e\0\0\0\x68\0\0\0\x08\0\0\0\x30\0\0\0\x70\0\0\
\0\x04\0\0\0\x33\0\0\0\x78\0\0\0\x08\0\0\0\x34\0\0\0\x80\0\0\0\x08\0\0\0\x36\0\
\0\0\x88\0\0\0\x04\0\0\0\x37\0\0\0\x8c\0\0\0\x04\0\0\0\x39\0\0\0\x90\0\0\0\x08\
\0\0\0\x3b\0\0\0\x98\0\0\0\x04\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x61\x64\x64\0\x73\
\x75\x62\0\x61\x6e\x64\0\x6f\x72\0\x78\x6f\x72\0\x63\x6d\x70\x78\x63\x68\x67\0\
\x78\x63\x68\x67\0\x5f\x42\x6f\x6f\x6c\0\x73\x6b\x69\x70\x5f\x74\x65\x73\x74\
\x73\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x70\x69\x64\0\x5f\x5f\x75\x36\x34\0\x61\x64\x64\x36\x34\x5f\x76\x61\x6c\x75\
\x65\0\x61\x64\x64\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x61\x64\x64\x33\x32\
\x5f\x76\x61\x6c\x75\x65\0\x61\x64\x64\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\
\x61\x64\x64\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x6c\x75\x65\x5f\x63\x6f\x70\
\x79\0\x61\x64\x64\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x73\x75\x6c\x74\0\x61\
\x64\x64\x5f\x6e\x6f\x72\x65\x74\x75\x72\x6e\x5f\x76\x61\x6c\x75\x65\0\x5f\x5f\
\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x75\x62\x36\x34\x5f\
\x76\x61\x6c\x75\x65\0\x73\x75\x62\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x5f\
\x5f\x73\x33\x32\0\x73\x75\x62\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x73\x75\x62\
\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x73\x75\x62\x5f\x73\x74\x61\x63\x6b\x5f\
\x76\x61\x6c\x75\x65\x5f\x63\x6f\x70\x79\0\x73\x75\x62\x5f\x73\x74\x61\x63\x6b\
\x5f\x72\x65\x73\x75\x6c\x74\0\x73\x75\x62\x5f\x6e\x6f\x72\x65\x74\x75\x72\x6e\
\x5f\x76\x61\x6c\x75\x65\0\x61\x6e\x64\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x61\
\x6e\x64\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x61\x6e\x64\x33\x32\x5f\x76\x61\
\x6c\x75\x65\0\x61\x6e\x64\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x61\x6e\x64\
\x5f\x6e\x6f\x72\x65\x74\x75\x72\x6e\x5f\x76\x61\x6c\x75\x65\0\x6f\x72\x36\x34\
\x5f\x76\x61\x6c\x75\x65\0\x6f\x72\x36\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x6f\
\x72\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x6f\x72\x33\x32\x5f\x72\x65\x73\x75\x6c\
\x74\0\x6f\x72\x5f\x6e\x6f\x72\x65\x74\x75\x72\x6e\x5f\x76\x61\x6c\x75\x65\0\
\x78\x6f\x72\x36\x34\x5f\x76\x61\x6c\x75\x65\0\x78\x6f\x72\x36\x34\x5f\x72\x65\
\x73\x75\x6c\x74\0\x78\x6f\x72\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x78\x6f\x72\
\x33\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x78\x6f\x72\x5f\x6e\x6f\x72\x65\x74\x75\
\x72\x6e\x5f\x76\x61\x6c\x75\x65\0\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x76\
\x61\x6c\x75\x65\0\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x72\x65\x73\x75\x6c\
\x74\x5f\x66\x61\x69\x6c\0\x63\x6d\x70\x78\x63\x68\x67\x36\x34\x5f\x72\x65\x73\
\x75\x6c\x74\x5f\x73\x75\x63\x63\x65\x65\x64\0\x63\x6d\x70\x78\x63\x68\x67\x33\
\x32\x5f\x76\x61\x6c\x75\x65\0\x63\x6d\x70\x78\x63\x68\x67\x33\x32\x5f\x72\x65\
\x73\x75\x6c\x74\x5f\x66\x61\x69\x6c\0\x63\x6d\x70\x78\x63\x68\x67\x33\x32\x5f\
\x72\x65\x73\x75\x6c\x74\x5f\x73\x75\x63\x63\x65\x65\x64\0\x78\x63\x68\x67\x36\
\x34\x5f\x76\x61\x6c\x75\x65\0\x78\x63\x68\x67\x36\x34\x5f\x72\x65\x73\x75\x6c\
\x74\0\x78\x63\x68\x67\x33\x32\x5f\x76\x61\x6c\x75\x65\0\x78\x63\x68\x67\x33\
\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x31\x37\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x31\x37\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\
\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x61\
\x74\x6f\x6d\x69\x63\x73\x2e\x63\0\x09\x69\x66\x20\x28\x70\x69\x64\x20\x21\x3d\
\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\
\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x29\x29\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x61\x64\x64\x2c\x20\x69\x6e\x74\
\x20\x61\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x73\x75\x62\
\x2c\x20\x69\x6e\x74\x20\x61\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x28\x61\x6e\x64\x2c\x20\x69\x6e\x74\x20\x61\x29\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x28\x6f\x72\x2c\x20\x69\x6e\x74\x20\x61\x29\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x78\x6f\x72\x2c\x20\x69\x6e\x74\
\x20\x61\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x63\x6d\x70\
\x78\x63\x68\x67\x2c\x20\x69\x6e\x74\x20\x61\x29\0\x69\x6e\x74\x20\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x28\x78\x63\x68\x67\x2c\x20\x69\x6e\x74\x20\x61\x29\0\x2e\
\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\xed\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x9c\0\0\0\x01\0\0\x04\0\0\0\0\0\0\0\0\0\x61\x74\x6f\x6d\x69\x63\x73\x5f\x2e\
\x64\x61\x74\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x01\x10\0\0\0\0\0\0\x01\
\x10\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\
\x01\x10\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\x01\x10\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x9c\0\0\0\x01\0\0\x04\0\0\0\0\0\0\0\0\0\x61\x74\x6f\x6d\
\x69\x63\x73\x5f\x2e\x62\x73\x73\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\x02\xd4\0\0\x03\x47\0\0\
\x68\x0e\0\0\0\x01\0\0\x02\xd4\0\0\x03\x77\0\0\x60\x05\0\0\0\x1a\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x64\x64\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x62\x70\x66\x5f\x66\
\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x0e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\
\0\0\0\0\x02\xd4\0\0\x03\x47\0\0\xd0\x0e\0\0\0\x01\0\0\x02\xd4\0\0\x03\x90\0\0\
\xc8\x05\0\0\0\x1a\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\x75\x62\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\x02\xd4\0\0\x03\x47\0\x01\x30\x0e\0\0\0\x01\
\0\0\x02\xd4\0\0\x03\xa9\0\x01\x28\x05\0\0\0\x1a\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x6e\x64\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\
\x5f\x74\x65\x73\x74\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\x02\xd4\0\0\
\x03\x47\0\x01\x84\x0e\0\0\0\x01\0\0\x02\xd4\0\0\x03\xc2\0\x01\x7c\x05\0\0\0\
\x1a\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x6f\x72\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x62\x70\
\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\0\0\0\x02\xd4\0\0\x03\x47\0\x01\xd4\x0e\0\0\0\x01\0\0\x02\xd4\0\0\
\x03\xda\0\x01\xcc\x05\0\0\0\x1a\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x6f\x72\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\
\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x10\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\x02\xd4\0\0\x03\x47\0\x02\x28\
\x0e\0\0\0\x01\0\0\x02\xd4\0\0\x03\xf3\0\x02\x20\x05\0\0\0\x1a\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\
\x6d\x70\x78\x63\x68\x67\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x62\x70\x66\x5f\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\x0e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\0\
\0\0\0\0\0\x02\xd4\0\0\x03\x47\0\x02\x7c\x0e\0\0\0\x01\0\0\x02\xd4\0\0\x04\x10\
\0\x02\x74\x05\0\0\0\x1a\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x63\x68\x67\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\
\0\0\0\0\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x10\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x31\0\0\0\0\0\0\0\0";
	opts.insns_sz = 5664;
	opts.insns = (void *)"\
\xbf\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\x78\xb7\x20\0\
\0\0\0\0\x88\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x05\0\0\x29\0\0\0\0\x61\
\x1a\xff\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x7c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x80\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x84\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x88\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xff\x8c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xff\x90\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\x94\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x98\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x61\x10\0\0\0\0\0\0\xd5\x10\0\
\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xbf\x07\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x08\x63\
\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x04\
\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0e\
\xf8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x18\x16\0\0\0\0\
\0\0\0\0\0\0\0\0\x0e\xf0\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x12\x18\x26\0\0\
\0\0\0\0\0\0\0\0\0\0\x0e\xf0\xb7\x30\0\0\0\0\0\x1c\x85\0\0\0\0\0\0\xa6\xbf\x70\
\0\0\0\0\0\0\xc5\x70\xff\xbf\0\0\0\0\x63\xa7\xff\x78\0\0\0\0\x61\x0a\xff\x78\0\
\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x40\x63\x10\0\0\0\0\0\0\x61\x06\0\
\x20\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x1c\x63\
\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x10\
\xb7\x30\0\0\0\0\0\x48\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\xae\
\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x17\0\0\0\0\0\0\x79\x36\0\x18\
\0\0\0\0\x15\x30\0\x04\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x58\xb7\x20\
\0\0\0\0\0\x9c\x85\0\0\0\0\0\0\x94\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x02\
\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\x63\x10\0\0\0\0\0\0\x18\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\x0f\xf8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x10\x08\x7b\
\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x58\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x10\x10\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x02\x18\x26\0\0\0\0\0\
\0\0\0\0\0\0\0\x10\0\xb7\x30\0\0\0\0\0\x20\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\
\0\0\xc5\x70\xff\x8e\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x10\x50\x63\x10\0\0\0\0\0\0\x61\x06\0\x30\0\0\0\0\x15\0\0\x03\0\0\0\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x10\x2c\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\
\0\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x10\x20\xb7\x30\0\0\0\0\0\x48\x85\0\0\0\0\0\
\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x7e\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\x63\x17\0\0\0\0\0\0\x79\x36\0\x28\0\0\0\0\x15\x30\0\x04\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x10\x68\xb7\x20\0\0\0\0\0\x9c\x85\0\0\0\0\0\0\x94\
\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x61\x02\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\
\0\0\0\0\0\0\x11\x10\x63\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x11\
\x08\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\x18\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\x10\x68\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\x20\x7b\x10\0\0\
\0\0\0\0\xb7\x10\0\0\0\0\0\x02\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x11\x10\xb7\x30\
\0\0\0\0\0\x20\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x5e\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x11\x30\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\
\x88\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x11\x38\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x11\x80\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x11\x50\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\xc8\x7b\x10\0\0\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\x11\x58\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\xd8\x7b\x10\
\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x11\x78\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x11\xf8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\
\0\0\0\0\0\0\0\0\0\0\0\0\x11\xf0\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\x90\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\x94\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\
\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\x98\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\
\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\xc0\x63\x10\0\0\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x12\x08\xb7\x20\0\0\0\0\0\x11\xb7\x30\0\0\0\0\0\
\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\
\x28\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x11\x78\x63\x07\0\x6c\0\0\0\0\x77\
\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\
\0\0\0\0\0\0\0\0\x11\x78\xb7\x30\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\
\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x11\xe8\x61\x10\0\0\0\0\0\0\xd5\x10\0\
\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\xff\x16\0\0\0\0\
\x63\xa7\xff\x80\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x12\x20\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x12\x78\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x12\x28\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x12\x70\x7b\x10\0\0\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\x12\x40\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x12\xb8\x7b\x10\
\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x12\x48\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x12\xc8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x12\x68\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x12\xe8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x12\xe0\x7b\x10\0\0\0\0\0\0\x61\
\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x12\x80\x63\x10\0\0\0\0\0\0\
\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x12\x84\x63\x10\0\0\0\0\
\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x12\x88\x7b\x10\0\0\
\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x12\xb0\x63\
\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x12\xf8\xb7\x20\0\0\0\0\0\x11\
\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\
\0\0\xc5\x70\xfe\xdf\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x12\x68\x63\x07\0\
\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\
\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x12\x68\xb7\x30\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\
\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x12\xd8\x61\x10\0\0\0\
\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\
\xfe\xcd\0\0\0\0\x63\xa7\xff\x84\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x13\
\x10\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\x68\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\x13\x18\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\x60\x7b\x10\0\0\
\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x13\x30\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\x13\xa8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x13\x38\x18\x16\
\0\0\0\0\0\0\0\0\0\0\0\0\x13\xb8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\x13\x58\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\xd8\x7b\x10\0\0\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\xd0\x7b\
\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\x70\
\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\
\x74\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x13\x78\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x13\xa0\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\xe8\xb7\
\x20\0\0\0\0\0\x11\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\x96\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\x13\x58\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\0\0\
\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x13\x58\xb7\x30\0\0\0\0\
\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x13\xc8\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\
\0\0\0\0\xa8\xc5\x70\xfe\x84\0\0\0\0\x63\xa7\xff\x88\0\0\0\0\x18\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\x14\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x14\x58\x7b\x10\0\0\0\0\0\
\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x14\x08\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x14\
\x50\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x14\x20\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x14\x98\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x14\x28\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x14\xa8\x7b\x10\0\0\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\x14\x48\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x14\xc8\x7b\x10\
\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\x14\xc0\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x14\x60\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x14\x64\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x14\x68\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\x14\x90\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\x14\xd8\xb7\x20\0\0\0\0\0\x11\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\
\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\x4d\0\0\0\0\x18\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\x14\x48\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\
\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x14\x48\xb7\
\x30\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\x14\xb8\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\
\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\xfe\x3b\0\0\0\0\x63\xa7\xff\x8c\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x14\xf0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x15\x48\
\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x14\xf8\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x15\x40\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x15\
\x10\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x15\x88\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\x15\x18\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x15\x98\x7b\x10\0\0\
\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x15\x38\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\x15\xb8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\x15\xb0\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\
\0\0\0\0\0\0\0\0\0\0\0\0\x15\x50\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x15\x54\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x15\x58\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\
\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x15\x80\x63\x10\0\0\0\0\0\0\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\x15\xc8\xb7\x20\0\0\0\0\0\x11\xb7\x30\0\0\0\0\0\x0c\xb7\
\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\x04\0\0\0\
\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x15\x38\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\
\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\
\0\0\0\x15\x38\xb7\x30\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x15\xa8\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\
\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\xfd\xf2\0\0\0\0\x63\xa7\
\xff\x90\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x15\xe0\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x16\x38\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x15\xe8\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x16\x30\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\x16\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x16\x78\x7b\x10\0\0\0\0\0\
\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x16\x08\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x16\
\x88\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x16\x28\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x16\xa8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x16\xa0\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\
\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x16\x40\x63\x10\0\0\0\0\0\0\x61\x06\0\
\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x16\x44\x63\x10\0\0\0\0\0\0\x79\
\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x16\x48\x7b\x10\0\0\0\0\0\0\
\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x16\x70\x63\x10\0\0\0\
\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x16\xb8\xb7\x20\0\0\0\0\0\x11\xb7\x30\0\
\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\
\x70\xfd\xbb\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x16\x28\x63\x07\0\x6c\0\0\
\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\
\0\0\0\0\0\0\0\0\0\0\0\0\x16\x28\xb7\x30\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\
\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x16\x98\x61\x10\0\0\0\0\0\0\
\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\xfd\xa9\
\0\0\0\0\x63\xa7\xff\x94\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x16\xd0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x17\x28\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\x16\xd8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x17\x20\x7b\x10\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x16\xf0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x17\
\x68\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x16\xf8\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x17\x78\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x17\x18\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x17\x98\x7b\x10\0\0\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x17\x90\x7b\x10\0\0\
\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x17\x30\x63\x10\
\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x17\x34\x63\
\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x17\x38\
\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x17\x60\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x17\xa8\xb7\x20\0\
\0\0\0\0\x11\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\
\x70\0\0\0\0\0\0\xc5\x70\xfd\x72\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x17\
\x18\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\
\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x17\x18\xb7\x30\0\0\0\0\0\x8c\
\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x17\
\x88\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\xc5\x70\xfd\x60\0\0\0\0\x63\xa7\xff\x98\0\0\0\0\x61\x1a\xff\x78\0\0\0\
\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x0a\xff\
\x80\0\0\0\0\x63\x60\0\x38\0\0\0\0\x61\x0a\xff\x84\0\0\0\0\x63\x60\0\x3c\0\0\0\
\0\x61\x0a\xff\x88\0\0\0\0\x63\x60\0\x40\0\0\0\0\x61\x0a\xff\x8c\0\0\0\0\x63\
\x60\0\x44\0\0\0\0\x61\x0a\xff\x90\0\0\0\0\x63\x60\0\x48\0\0\0\0\x61\x0a\xff\
\x94\0\0\0\0\x63\x60\0\x4c\0\0\0\0\x61\x0a\xff\x98\0\0\0\0\x63\x60\0\x50\0\0\0\
\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x63\x60\0\x18\0\0\0\
\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x61\x01\0\0\0\0\0\0\x63\x60\0\x28\0\0\
\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->data =
		mmap(skel->data, 4096, PROT_READ | PROT_WRITE, MAP_SHARED | MAP_FIXED,
			skel->maps.data.map_fd, 0);
	skel->bss =
		mmap(skel->bss, 4096, PROT_READ | PROT_WRITE, MAP_SHARED | MAP_FIXED,
			skel->maps.bss.map_fd, 0);
	return 0;
}

static inline struct atomics_lskel *
atomics_lskel__open_and_load(void)
{
	struct atomics_lskel *skel;

	skel = atomics_lskel__open();
	if (!skel)
		return NULL;
	if (atomics_lskel__load(skel)) {
		atomics_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

#endif /* __ATOMICS_LSKEL_SKEL_H__ */
