/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_KSYMS_WEAK_SKEL_H__
#define __TEST_KSYMS_WEAK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_ksyms_weak {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
	} maps;
	struct {
		struct bpf_program *pass_handler;
	} progs;
	struct {
		struct bpf_link *pass_handler;
	} links;
	struct test_ksyms_weak__data {
		int out__existing_typed;
		char __pad0[4];
		__u64 out__existing_typeless;
		__u64 out__non_existent_typeless;
		__u64 out__non_existent_typed;
	} *data;
};

static void
test_ksyms_weak__destroy(struct test_ksyms_weak *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_ksyms_weak__create_skeleton(struct test_ksyms_weak *obj);

static inline struct test_ksyms_weak *
test_ksyms_weak__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_ksyms_weak *obj;
	int err;

	obj = (struct test_ksyms_weak *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_ksyms_weak__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_ksyms_weak__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_ksyms_weak *
test_ksyms_weak__open(void)
{
	return test_ksyms_weak__open_opts(NULL);
}

static inline int
test_ksyms_weak__load(struct test_ksyms_weak *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_ksyms_weak *
test_ksyms_weak__open_and_load(void)
{
	struct test_ksyms_weak *obj;
	int err;

	obj = test_ksyms_weak__open();
	if (!obj)
		return NULL;
	err = test_ksyms_weak__load(obj);
	if (err) {
		test_ksyms_weak__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_ksyms_weak__attach(struct test_ksyms_weak *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_ksyms_weak__detach(struct test_ksyms_weak *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_ksyms_weak__elf_bytes(size_t *sz);

static inline int
test_ksyms_weak__create_skeleton(struct test_ksyms_weak *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_ksyms_weak";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_ksy.data";
	s->maps[0].map = &obj->maps.data;
	s->maps[0].mmaped = (void **)&obj->data;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "pass_handler";
	s->progs[0].prog = &obj->progs.pass_handler;
	s->progs[0].link = &obj->links.pass_handler;

	s->data = (void *)test_ksyms_weak__elf_bytes(&s->data_sz);

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

static inline const void *test_ksyms_weak__elf_bytes(size_t *sz)
{
	*sz = 9704;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\xa8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\x77\
\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x64\x61\x74\x61\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x6b\x73\x79\x6d\x73\x5f\x77\
\x65\x61\x6b\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x4c\x42\x42\x30\x5f\x34\0\x70\
\x61\x73\x73\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\x72\x75\x6e\x71\x75\x65\x75\x65\
\x73\0\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\x67\x5f\x74\x79\x70\x65\
\x64\0\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\
\x74\x79\x70\x65\x6c\x65\x73\x73\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\
\x70\x73\x31\0\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\x67\x5f\x74\x79\
\x70\x65\x6c\x65\x73\x73\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x61\x63\x74\x69\
\x76\x65\0\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\
\x5f\x74\x79\x70\x65\x64\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\
\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\
\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x30\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x03\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\
\0\0\0\x49\0\0\0\x03\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x50\x12\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\x5d\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x67\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x7b\x11\0\
\0\x04\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\x96\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa5\x11\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\
\0\xbc\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcc\x11\0\0\x04\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\xe4\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xf3\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x18\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\x99\x15\0\0\x04\0\0\0\0\
\x61\x10\x0d\xa0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\
\x12\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x61\0\0\0\0\0\0\x15\x10\0\x05\0\0\0\0\x18\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\x99\x7b\x60\0\0\0\
\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xff\xff\xff\xff\0\0\0\0\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\
\0\x30\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\
\x58\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\x70\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\
\x80\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\x98\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\0\
\xa8\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\xc8\0\0\0\x0d\0\0\0\x01\xeb\x9f\x01\0\0\
\0\0\x18\0\0\0\0\0\0\x10\x54\0\0\x10\x54\0\0\x0d\xa8\0\0\0\0\x02\0\0\0\0\0\0\
\x02\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x01\0\0\0\
\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x03\
\0\0\0\x16\x04\0\0\x52\0\0\x12\0\0\0\0\x19\0\0\0\x07\0\0\0\0\0\0\0\x20\0\0\0\
\x0b\0\0\0\x20\0\0\0\x2b\0\0\0\x0c\0\0\0\x40\0\0\0\x49\0\0\0\x0b\0\0\0\x80\0\0\
\0\x5a\0\0\0\x0d\0\0\x01\0\0\0\0\x63\0\0\0\x0b\0\0\x02\0\0\0\0\x75\0\0\0\x13\0\
\0\x02\x20\0\0\0\x80\0\0\0\x0b\0\0\x02\x40\0\0\0\x8d\0\0\0\x1c\0\0\x02\x80\0\0\
\0\x99\0\0\0\x1f\0\0\x08\0\0\0\0\x9d\0\0\0\x32\0\0\x28\0\0\0\0\xa0\0\0\0\x39\0\
\0\x5d\x80\0\0\0\xa3\0\0\0\x2c\0\0\x61\0\0\0\0\xb4\0\0\0\x2d\0\0\x61\x80\0\0\0\
\xc5\0\0\0\x0b\0\0\x61\xc0\0\0\0\xd8\0\0\0\x3b\0\0\x62\0\0\0\0\xdd\0\0\0\x3b\0\
\0\x62\x40\0\0\0\xe2\0\0\0\x3b\0\0\x62\x80\0\0\0\xe7\0\0\0\x0c\0\0\x62\xc0\0\0\
\0\xf4\0\0\0\x3c\0\0\x63\0\0\0\0\xfc\0\0\0\x0b\0\0\x63\x40\0\0\x01\x0f\0\0\0\
\x1c\0\0\x63\x80\0\0\x01\x15\0\0\0\x1c\0\0\x68\0\0\0\x01\x20\0\0\0\x1c\0\0\x68\
\x40\0\0\x01\x2b\0\0\0\x0c\0\0\x68\x80\0\0\x01\x3a\0\0\0\x13\0\0\x68\xc0\0\0\
\x01\x44\0\0\0\x1c\0\0\x69\0\0\0\x01\x5e\0\0\0\x04\0\0\x69\x40\0\0\x01\x74\0\0\
\0\x04\0\0\x69\x60\0\0\x01\x85\0\0\0\x3d\0\0\x69\x80\0\0\x01\x88\0\0\0\x3e\0\0\
\x69\xc0\0\0\x01\x8b\0\0\0\x0c\0\0\x6a\0\0\0\x01\x98\0\0\0\x0c\0\0\x6a\x40\0\0\
\x01\xaa\0\0\0\x3f\0\0\x6a\x80\0\0\x01\xbb\0\0\0\x40\0\0\x6a\xc0\0\0\x01\xcd\0\
\0\0\x40\0\0\x6a\xc8\0\0\x01\xda\0\0\0\x0c\0\0\x6b\0\0\0\x01\xeb\0\0\0\x04\0\0\
\x6b\x40\0\0\x01\xfa\0\0\0\x04\0\0\x6b\x60\0\0\x02\x03\0\0\0\x41\0\0\x6b\x80\0\
\0\x02\x17\0\0\0\x04\0\0\x6d\0\0\0\x02\x1b\0\0\0\x04\0\0\x6d\x20\0\0\x02\x22\0\
\0\0\x2c\0\0\x6d\x40\0\0\x02\x2c\0\0\0\x27\0\0\x70\0\0\0\x02\x33\0\0\0\x27\0\0\
\x78\0\0\0\x02\x3a\0\0\0\x1c\0\0\x80\0\0\0\x02\x45\0\0\0\x1c\0\0\x80\x40\0\0\
\x02\x4e\0\0\0\x0c\0\0\x80\x80\0\0\x02\x59\0\0\0\x1c\0\0\x80\xc0\0\0\x02\x67\0\
\0\0\x1c\0\0\x81\0\0\0\x02\x7d\0\0\0\x46\0\0\x81\x40\0\0\x02\x8a\0\0\0\x0c\0\0\
\x81\x80\0\0\x02\x9b\0\0\0\x2a\0\0\x81\xc0\0\0\x02\xac\0\0\0\x0d\0\0\x82\0\0\0\
\x02\xb7\0\0\0\x47\0\0\x83\0\0\0\x02\xc4\0\0\0\x4a\0\0\x85\x80\0\0\x02\xd0\0\0\
\0\x52\0\0\x85\xc0\0\0\x02\xde\0\0\0\x1e\0\0\x86\xc0\0\0\x02\xea\0\0\0\x0b\0\0\
\x87\0\0\0\x02\xf4\0\0\0\x0b\0\0\x87\x20\0\0\x03\0\0\0\0\x0b\0\0\x87\x40\0\0\
\x03\x0d\0\0\0\x0b\0\0\x87\x60\0\0\x03\x18\0\0\0\x0b\0\0\x87\x80\0\0\x03\x23\0\
\0\0\x0b\0\0\x87\xa0\0\0\x03\x2d\0\0\0\x0b\0\0\x87\xc0\0\0\x03\x37\0\0\0\x41\0\
\0\x88\0\0\0\x03\x41\0\0\0\x2b\0\0\x89\x80\0\0\x03\x46\0\0\0\x3b\0\0\x89\xc0\0\
\0\x03\x50\0\0\0\x0b\0\0\x8a\0\0\0\x03\x5d\0\0\0\x0b\0\0\x8a\x20\0\0\x03\x6c\0\
\0\0\x24\0\0\x8a\x40\0\0\x03\x76\0\0\0\x0b\0\0\x8a\x80\0\0\x03\x84\0\0\0\x0b\0\
\0\x8a\xa0\0\0\x03\x92\0\0\0\x0c\0\0\x8a\xc0\0\0\x03\x9e\0\0\0\x0b\0\0\x8b\0\0\
\0\x03\xb3\0\0\0\x0b\0\0\x8b\x20\0\0\x03\xc6\0\0\0\x0b\0\0\x8b\x40\0\0\x03\xe0\
\0\0\0\x1c\0\0\x8b\x80\0\0\x03\xf5\0\0\0\x0c\0\0\x8b\xc0\0\0\x04\x02\0\0\0\x0c\
\0\0\x8c\0\0\0\x04\x0f\0\0\0\x0c\0\0\x8c\x40\0\0\x04\x1c\0\0\0\x0c\0\0\x8c\x80\
\0\0\x04\x29\x08\0\0\0\0\0\0\x08\0\0\x04\x38\x04\0\0\x01\0\0\0\x04\0\0\x04\x45\
\0\0\0\x09\0\0\0\0\0\0\x04\x4e\x08\0\0\0\0\0\0\x0a\0\0\0\0\x04\0\0\x01\0\0\0\
\x04\0\0\x04\x5e\0\0\0\x04\0\0\0\0\0\0\x04\x63\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\
\0\x04\x70\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\x04\x7e\x08\0\0\0\0\0\0\x0e\0\0\
\x04\x91\x04\0\0\x03\0\0\0\x20\0\0\x04\xa4\0\0\0\x0f\0\0\0\0\0\0\x04\xa9\0\0\0\
\x18\0\0\0\x80\0\0\x04\xae\0\0\0\x1b\0\0\0\xc0\0\0\x04\xb3\x04\0\0\x04\0\0\0\
\x10\0\0\x04\xc6\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\x40\0\0\x04\xcc\0\0\
\0\x15\0\0\0\x60\0\0\x04\xd0\0\0\0\x15\0\0\0\x70\0\0\x04\xd4\x04\0\0\x01\0\0\0\
\x08\0\0\x04\xdf\0\0\0\x11\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x10\0\0\0\0\x05\0\0\
\x02\0\0\0\x04\0\0\x04\xe4\0\0\0\x0b\0\0\0\0\0\0\x04\xec\0\0\0\x13\0\0\0\0\0\0\
\x04\xf4\x08\0\0\0\0\0\0\x14\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x04\xfd\0\0\0\
\x04\0\0\0\0\0\0\x05\x05\x08\0\0\0\0\0\0\x16\0\0\x05\x09\x08\0\0\0\0\0\0\x17\0\
\0\x05\x0f\x01\0\0\0\0\0\0\x02\0\0\0\x10\0\0\x05\x1e\x08\0\0\0\0\0\0\x19\0\0\0\
\0\x02\0\0\0\0\0\0\x1a\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\x05\x2e\x08\0\0\0\0\0\0\x1d\0\0\x05\x32\x08\0\0\0\0\0\0\
\x1e\0\0\x05\x38\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\x05\x4b\x04\0\0\x28\0\0\x04\
\0\0\0\x05\x52\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\0\x0b\0\0\0\x80\0\0\x05\x57\0\0\
\0\x0b\0\0\0\xa0\0\0\x05\x64\0\0\0\x0b\0\0\0\xc0\0\0\x05\x74\0\0\0\x0b\0\0\0\
\xe0\0\0\x05\x86\0\0\0\x1c\0\0\x01\0\0\0\x05\x91\0\0\0\x1c\0\0\x01\x40\0\0\x05\
\x9e\0\0\0\x0b\0\0\x01\x80\0\0\x05\xac\0\0\0\x1c\0\0\x01\xc0\0\0\x05\xbc\0\0\0\
\x23\0\0\x02\0\0\0\0\xd8\0\0\0\x26\0\0\x02\x80\0\0\x04\xdf\0\0\0\x26\0\0\x02\
\xc0\0\0\x05\xcb\0\0\0\x26\0\0\x03\0\0\0\x05\xd0\0\0\0\x26\0\0\x03\x40\0\0\x05\
\xd5\0\0\0\x0b\0\0\x03\x80\0\0\x05\xe4\0\0\0\x27\0\0\x08\0\0\0\x05\xe8\0\0\0\
\x29\0\0\x10\0\0\0\x05\xf0\0\0\0\x0c\0\0\x18\0\0\0\x06\x04\0\0\0\x2a\0\0\x18\
\x40\0\0\x06\x0e\0\0\0\x2a\0\0\x18\x80\0\0\x06\x20\0\0\0\x0c\0\0\x18\xc0\0\0\
\x06\x27\0\0\0\x1c\0\0\x19\0\0\0\x06\x3a\0\0\0\x26\0\0\x19\x40\0\0\0\x16\0\0\0\
\x2b\0\0\x19\x80\0\0\x06\x46\0\0\0\x04\0\0\x19\xc0\0\0\0\xa3\0\0\0\x2c\0\0\x1a\
\0\0\0\x06\x4e\0\0\0\x2e\0\0\x1a\x80\0\0\0\xdd\0\0\0\x04\0\0\x1a\xc0\0\0\x06\
\x51\0\0\0\x04\0\0\x1a\xe0\0\0\x06\x61\0\0\0\x2f\0\0\x1b\0\0\0\x06\x73\0\0\0\
\x1c\0\0\x1b\x40\0\0\x06\x83\0\0\0\x1c\0\0\x1b\x80\0\0\x06\x98\0\0\0\x1c\0\0\
\x1b\xc0\0\0\x06\xb2\0\0\0\x04\0\0\x1c\0\0\0\x06\xbc\0\0\0\x04\0\0\x1c\x20\0\0\
\x06\xcb\0\0\0\x2c\0\0\x1c\x40\0\0\x03\xf5\0\0\0\x0c\0\0\x1c\xc0\0\0\x04\x02\0\
\0\0\x0c\0\0\x1d\0\0\0\x04\x0f\0\0\0\x0c\0\0\x1d\x40\0\0\x04\x1c\0\0\0\x0c\0\0\
\x1d\x80\0\0\x06\xda\x04\0\0\x02\0\0\0\x10\0\0\x06\xe6\0\0\0\x0c\0\0\0\0\0\0\
\x06\xed\0\0\0\x21\0\0\0\x40\0\0\x06\xf8\x08\0\0\0\0\0\0\x22\0\0\x06\xfc\x08\0\
\0\0\0\0\0\x0b\0\0\x07\x02\x04\0\0\x02\0\0\0\x10\0\0\x07\x11\0\0\0\x24\0\0\0\0\
\0\0\x07\x19\0\0\0\x25\0\0\0\x40\0\0\x07\x11\x04\0\0\x01\0\0\0\x08\0\0\x07\x25\
\0\0\0\x25\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x49\0\0\0\0\x02\0\0\0\0\0\0\x66\0\0\
\x07\x2d\x04\0\0\x0b\0\0\x01\0\0\0\x07\x37\0\0\0\x1c\0\0\0\0\0\0\x07\x48\0\0\0\
\x1c\0\0\0\x40\0\0\x07\x51\0\0\0\x1c\0\0\0\x80\0\0\x07\x5e\0\0\0\x21\0\0\0\xc0\
\0\0\x07\x67\0\0\0\x21\0\0\0\xe0\0\0\x07\x76\0\0\0\x0c\0\0\x01\0\0\0\x07\x7f\0\
\0\0\x0c\0\0\x01\x40\0\0\x07\x8c\0\0\0\x0c\0\0\x01\x80\0\0\x07\x95\0\0\0\x28\0\
\0\x01\xc0\0\0\x03\xf5\0\0\0\x0c\0\0\x02\0\0\0\x04\x02\0\0\0\x0c\0\0\x02\x40\0\
\0\x07\x95\x04\0\0\x02\0\0\0\x08\0\0\x07\x9e\0\0\0\x0b\0\0\0\0\0\0\x07\xa7\0\0\
\0\x0b\0\0\0\x20\0\0\0\0\x04\0\0\x05\0\0\x01\0\0\0\x04\x5e\0\0\0\x07\0\0\0\0\0\
\0\x07\xac\0\0\0\x04\0\0\0\x20\0\0\x07\x76\0\0\0\x0c\0\0\0\x40\0\0\x07\x8c\0\0\
\0\x0c\0\0\0\x80\0\0\x07\x7f\0\0\0\x0c\0\0\0\xc0\0\0\x07\xaf\x01\0\0\0\0\0\0\
\x08\x01\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\x07\xb4\x04\0\0\x02\0\0\0\x10\
\0\0\x04\xdf\0\0\0\x2d\0\0\0\0\0\0\x07\xbe\0\0\0\x2d\0\0\0\x40\0\0\0\0\x02\0\0\
\0\0\0\0\x2c\0\0\0\0\x02\0\0\0\0\0\0\x67\0\0\x07\xc3\x08\0\0\0\0\0\0\x30\0\0\
\x07\xc7\x08\0\0\0\0\0\0\x31\0\0\x07\xcd\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\
\x07\xd7\x04\0\0\x0f\0\0\x06\xb0\0\0\x07\xdd\0\0\0\x33\0\0\0\0\0\0\x07\xe4\0\0\
\0\x0b\0\0\x32\x80\0\0\x07\xf2\0\0\0\x0b\0\0\x32\xa0\0\0\x08\0\0\0\0\x37\0\0\
\x32\xc0\0\0\x08\x0d\0\0\0\x0b\0\0\x33\0\0\0\x08\x1d\0\0\0\x0b\0\0\x33\x20\0\0\
\x08\x29\0\0\0\x04\0\0\x33\x40\0\0\x08\x34\0\0\0\x38\0\0\x33\x80\0\0\x08\x43\0\
\0\0\x04\0\0\x34\0\0\0\x08\x4d\0\0\0\x04\0\0\x34\x20\0\0\x08\x5a\0\0\0\x1c\0\0\
\x34\x40\0\0\x08\x62\0\0\0\x1c\0\0\x34\x80\0\0\x08\x6d\0\0\0\x07\0\0\x34\xc0\0\
\0\x03\xf5\0\0\0\x0c\0\0\x35\0\0\0\x04\x02\0\0\0\x0c\0\0\x35\x40\0\0\x08\x7d\
\x04\0\0\x02\0\0\x06\x50\0\0\x08\x8b\0\0\0\x34\0\0\0\0\0\0\x08\x92\0\0\0\x36\0\
\0\0\x80\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x35\0\0\0\x02\0\0\x08\x98\
\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x35\0\
\0\0\x64\0\0\0\0\x04\0\0\x02\0\0\0\x08\0\0\0\xd8\0\0\0\x04\0\0\0\0\0\0\x04\xdf\
\0\0\0\x04\0\0\0\x20\0\0\x08\xac\x04\0\0\x01\0\0\0\x10\0\0\x08\xb7\0\0\0\x2c\0\
\0\0\0\0\0\x08\xc1\x04\0\0\x0c\0\0\0\x70\0\0\x08\xc7\0\0\0\x23\0\0\0\0\0\0\x08\
\xcc\0\0\0\x0b\0\0\0\x80\0\0\x08\xda\0\0\0\x3a\0\0\0\xc0\0\0\x08\xe6\0\0\0\x0b\
\0\0\x01\x40\0\0\x08\x29\0\0\0\x04\0\0\x01\x60\0\0\x08\xf6\0\0\0\x23\0\0\x01\
\x80\0\0\x09\x0d\0\0\0\x1c\0\0\x02\0\0\0\x09\x18\0\0\0\x1c\0\0\x02\x40\0\0\x09\
\x20\0\0\0\x1c\0\0\x02\x80\0\0\x09\x29\0\0\0\x1c\0\0\x02\xc0\0\0\x03\xf5\0\0\0\
\x0c\0\0\x03\0\0\0\x04\x02\0\0\0\x0c\0\0\x03\x40\0\0\0\0\x04\0\0\x02\0\0\0\x10\
\0\0\0\xd8\0\0\0\x1c\0\0\0\0\0\0\x04\xdf\0\0\0\x1c\0\0\0\x40\0\0\0\0\x02\0\0\0\
\0\0\0\x68\0\0\0\0\x02\0\0\0\0\0\0\x63\0\0\0\0\x02\0\0\0\0\0\0\x64\0\0\0\0\x02\
\0\0\0\0\0\0\x65\0\0\0\0\x02\0\0\0\0\0\0\x60\0\0\x09\x32\x01\0\0\0\0\0\0\x01\0\
\0\0\x08\0\0\x09\x40\x04\0\0\x05\0\0\0\x30\0\0\x09\x4e\0\0\0\x2c\0\0\0\0\0\0\
\x09\x53\0\0\0\x42\0\0\0\x80\0\0\x09\x56\0\0\0\x0c\0\0\0\xc0\0\0\x09\x5d\0\0\0\
\x1b\0\0\x01\0\0\0\x09\x61\0\0\0\x45\0\0\x01\x40\0\0\x09\x66\x08\0\0\0\0\0\0\
\x43\0\0\0\0\x02\0\0\0\0\0\0\x44\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\
\x1b\0\0\0\0\x02\0\0\0\0\0\0\x61\0\0\x09\x74\x04\0\0\x01\0\0\0\x08\0\0\x09\x7c\
\0\0\0\x3b\0\0\0\0\0\0\x09\x81\x04\0\0\x0a\0\0\0\x50\0\0\x04\xa4\0\0\0\x48\0\0\
\0\0\0\0\x09\x89\0\0\0\x4a\0\0\x01\0\0\0\x09\x96\0\0\0\x4b\0\0\x01\x40\0\0\x09\
\x9f\0\0\0\x4f\0\0\x01\x80\0\0\x09\xa4\0\0\0\x50\0\0\x01\xc0\0\0\x09\xaa\0\0\0\
\x50\0\0\x01\xc8\0\0\x09\xb1\0\0\0\x50\0\0\x01\xd0\0\0\x09\xb9\0\0\0\x50\0\0\
\x01\xd8\0\0\x03\xf5\0\0\0\x0c\0\0\x02\0\0\0\x04\x02\0\0\0\x0c\0\0\x02\x40\0\0\
\x09\xc1\x04\0\0\x02\0\0\0\x20\0\0\x04\xa4\0\0\0\x49\0\0\0\0\0\0\x09\xd1\0\0\0\
\x4a\0\0\0\xc0\0\0\x07\x25\x04\0\0\x03\0\0\0\x18\0\0\x09\xd9\0\0\0\x0c\0\0\0\0\
\0\0\x09\xeb\0\0\0\x25\0\0\0\x40\0\0\x09\xf4\0\0\0\x25\0\0\0\x80\0\0\x09\xfc\
\x08\0\0\0\0\0\0\x2f\0\0\0\0\x02\0\0\0\0\0\0\x4c\0\0\0\0\x0d\0\0\x01\0\0\0\x4d\
\0\0\0\0\0\0\0\x4e\0\0\x0a\x04\x06\0\0\x02\0\0\0\x04\0\0\x0a\x14\0\0\0\0\0\0\
\x0a\x26\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x47\0\0\0\0\x02\0\0\0\0\0\0\x62\0\0\
\x0a\x36\x08\0\0\0\0\0\0\x51\0\0\x0a\x39\x08\0\0\0\0\0\0\x40\0\0\x0a\x3e\x04\0\
\0\x04\0\0\0\x20\0\0\x0a\x49\0\0\0\x0c\0\0\0\0\0\0\x0a\x50\0\0\0\x1e\0\0\0\x40\
\0\0\x0a\x5a\0\0\0\x1e\0\0\0\x80\0\0\x0a\x67\0\0\0\x1e\0\0\0\xc0\0\0\x0a\x73\
\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\x0a\x87\x0e\0\0\0\0\0\0\x1d\0\0\0\x01\0\0\
\x0a\x9e\x0e\0\0\0\0\0\0\x1d\0\0\0\x01\0\0\x0a\xb9\x0e\0\0\0\0\0\0\x1d\0\0\0\
\x01\0\0\0\0\x0a\0\0\0\0\0\0\x06\0\0\x0a\xd1\x0e\0\0\0\0\0\0\x57\0\0\0\x02\0\0\
\x0a\xdb\x0e\0\0\0\0\0\0\x02\0\0\0\x02\0\0\x0a\xeb\x0e\0\0\0\0\0\0\x02\0\0\0\
\x02\0\0\0\0\x0a\0\0\0\0\0\0\x04\0\0\x0a\xfa\x0e\0\0\0\0\0\0\x5b\0\0\0\x02\0\0\
\x0b\x09\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x5d\0\
\0\0\x35\0\0\0\x04\0\0\x0b\x0e\x0e\0\0\0\0\0\0\x5e\0\0\0\x01\0\0\x0b\x17\x07\0\
\0\0\0\0\0\0\0\0\x0b\x25\x07\0\0\0\0\0\0\0\0\0\x0b\x33\x07\0\0\0\0\0\0\0\0\0\
\x0b\x46\x07\0\0\0\0\0\0\0\0\0\x0b\x50\x07\0\0\0\0\0\0\0\0\0\x0b\x5c\x07\0\0\0\
\0\0\0\0\0\0\x0b\x69\x07\0\0\0\0\0\0\0\0\0\x0b\x76\x07\0\0\0\0\0\0\0\0\0\x0b\
\x81\x07\0\0\0\0\0\0\0\0\0\x0d\x82\x0f\0\0\x04\0\0\0\x20\0\0\0\x53\0\0\0\0\0\0\
\0\x04\0\0\0\x54\0\0\0\x08\0\0\0\x08\0\0\0\x55\0\0\0\x10\0\0\0\x08\0\0\0\x56\0\
\0\0\x18\0\0\0\x08\0\0\x0d\x88\x0f\0\0\x01\0\0\0\x04\0\0\0\x5f\0\0\0\0\0\0\0\
\x04\0\0\x0d\x90\x0f\0\0\x04\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\x12\0\0\0\0\x59\0\0\
\0\0\0\0\0\x01\0\0\0\x5a\0\0\0\0\0\0\0\x01\0\0\0\x5c\0\0\0\0\0\0\0\x04\0\x63\
\x74\x78\0\x69\x6e\x74\0\x70\x61\x73\x73\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\x72\
\x71\0\x5f\x5f\x6c\x6f\x63\x6b\0\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x6c\
\x61\x73\x74\x5f\x62\x6c\x6f\x63\x6b\x65\x64\x5f\x6c\x6f\x61\x64\x5f\x75\x70\
\x64\x61\x74\x65\x5f\x74\x69\x63\x6b\0\x68\x61\x73\x5f\x62\x6c\x6f\x63\x6b\x65\
\x64\x5f\x6c\x6f\x61\x64\0\x6e\x6f\x68\x7a\x5f\x63\x73\x64\0\x6e\x6f\x68\x7a\
\x5f\x74\x69\x63\x6b\x5f\x73\x74\x6f\x70\x70\x65\x64\0\x6e\x6f\x68\x7a\x5f\x66\
\x6c\x61\x67\x73\0\x74\x74\x77\x75\x5f\x70\x65\x6e\x64\x69\x6e\x67\0\x6e\x72\
\x5f\x73\x77\x69\x74\x63\x68\x65\x73\0\x63\x66\x73\0\x72\x74\0\x64\x6c\0\x6c\
\x65\x61\x66\x5f\x63\x66\x73\x5f\x72\x71\x5f\x6c\x69\x73\x74\0\x74\x6d\x70\x5f\
\x61\x6c\x6f\x6e\x65\x5f\x62\x72\x61\x6e\x63\x68\0\x6e\x72\x5f\x75\x6e\x69\x6e\
\x74\x65\x72\x72\x75\x70\x74\x69\x62\x6c\x65\0\x63\x75\x72\x72\0\x69\x64\x6c\
\x65\0\x73\x74\x6f\x70\0\x6e\x65\x78\x74\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x70\
\x72\x65\x76\x5f\x6d\x6d\0\x63\x6c\x6f\x63\x6b\x5f\x75\x70\x64\x61\x74\x65\x5f\
\x66\x6c\x61\x67\x73\0\x63\x6c\x6f\x63\x6b\0\x63\x6c\x6f\x63\x6b\x5f\x74\x61\
\x73\x6b\0\x63\x6c\x6f\x63\x6b\x5f\x70\x65\x6c\x74\0\x6c\x6f\x73\x74\x5f\x69\
\x64\x6c\x65\x5f\x74\x69\x6d\x65\0\x6e\x72\x5f\x69\x6f\x77\x61\x69\x74\0\x6c\
\x61\x73\x74\x5f\x73\x65\x65\x6e\x5f\x6e\x65\x65\x64\x5f\x72\x65\x73\x63\x68\
\x65\x64\x5f\x6e\x73\0\x74\x69\x63\x6b\x73\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\
\x72\x65\x73\x63\x68\x65\x64\0\x6d\x65\x6d\x62\x61\x72\x72\x69\x65\x72\x5f\x73\
\x74\x61\x74\x65\0\x72\x64\0\x73\x64\0\x63\x70\x75\x5f\x63\x61\x70\x61\x63\x69\
\x74\x79\0\x63\x70\x75\x5f\x63\x61\x70\x61\x63\x69\x74\x79\x5f\x6f\x72\x69\x67\
\0\x62\x61\x6c\x61\x6e\x63\x65\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x6e\x6f\
\x68\x7a\x5f\x69\x64\x6c\x65\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x69\x64\x6c\x65\
\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x6d\x69\x73\x66\x69\x74\x5f\x74\x61\x73\x6b\
\x5f\x6c\x6f\x61\x64\0\x61\x63\x74\x69\x76\x65\x5f\x62\x61\x6c\x61\x6e\x63\x65\
\0\x70\x75\x73\x68\x5f\x63\x70\x75\0\x61\x63\x74\x69\x76\x65\x5f\x62\x61\x6c\
\x61\x6e\x63\x65\x5f\x77\x6f\x72\x6b\0\x63\x70\x75\0\x6f\x6e\x6c\x69\x6e\x65\0\
\x63\x66\x73\x5f\x74\x61\x73\x6b\x73\0\x61\x76\x67\x5f\x72\x74\0\x61\x76\x67\
\x5f\x64\x6c\0\x69\x64\x6c\x65\x5f\x73\x74\x61\x6d\x70\0\x61\x76\x67\x5f\x69\
\x64\x6c\x65\0\x77\x61\x6b\x65\x5f\x73\x74\x61\x6d\x70\0\x77\x61\x6b\x65\x5f\
\x61\x76\x67\x5f\x69\x64\x6c\x65\0\x6d\x61\x78\x5f\x69\x64\x6c\x65\x5f\x62\x61\
\x6c\x61\x6e\x63\x65\x5f\x63\x6f\x73\x74\0\x68\x6f\x74\x70\x6c\x75\x67\x5f\x77\
\x61\x69\x74\0\x63\x61\x6c\x63\x5f\x6c\x6f\x61\x64\x5f\x75\x70\x64\x61\x74\x65\
\0\x63\x61\x6c\x63\x5f\x6c\x6f\x61\x64\x5f\x61\x63\x74\x69\x76\x65\0\x68\x72\
\x74\x69\x63\x6b\x5f\x63\x73\x64\0\x68\x72\x74\x69\x63\x6b\x5f\x74\x69\x6d\x65\
\x72\0\x68\x72\x74\x69\x63\x6b\x5f\x74\x69\x6d\x65\0\x72\x71\x5f\x73\x63\x68\
\x65\x64\x5f\x69\x6e\x66\x6f\0\x72\x71\x5f\x63\x70\x75\x5f\x74\x69\x6d\x65\0\
\x79\x6c\x64\x5f\x63\x6f\x75\x6e\x74\0\x73\x63\x68\x65\x64\x5f\x63\x6f\x75\x6e\
\x74\0\x73\x63\x68\x65\x64\x5f\x67\x6f\x69\x64\x6c\x65\0\x74\x74\x77\x75\x5f\
\x63\x6f\x75\x6e\x74\0\x74\x74\x77\x75\x5f\x6c\x6f\x63\x61\x6c\0\x6e\x72\x5f\
\x70\x69\x6e\x6e\x65\x64\0\x70\x75\x73\x68\x5f\x62\x75\x73\x79\0\x70\x75\x73\
\x68\x5f\x77\x6f\x72\x6b\0\x63\x6f\x72\x65\0\x63\x6f\x72\x65\x5f\x70\x69\x63\
\x6b\0\x63\x6f\x72\x65\x5f\x65\x6e\x61\x62\x6c\x65\x64\0\x63\x6f\x72\x65\x5f\
\x73\x63\x68\x65\x64\x5f\x73\x65\x71\0\x63\x6f\x72\x65\x5f\x74\x72\x65\x65\0\
\x63\x6f\x72\x65\x5f\x74\x61\x73\x6b\x5f\x73\x65\x71\0\x63\x6f\x72\x65\x5f\x70\
\x69\x63\x6b\x5f\x73\x65\x71\0\x63\x6f\x72\x65\x5f\x63\x6f\x6f\x6b\x69\x65\0\
\x63\x6f\x72\x65\x5f\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x63\x6f\x75\x6e\
\x74\0\x63\x6f\x72\x65\x5f\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x73\x65\x71\
\0\x63\x6f\x72\x65\x5f\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x6f\x63\x63\x75\
\x70\x61\x74\x69\x6f\x6e\0\x63\x6f\x72\x65\x5f\x66\x6f\x72\x63\x65\x69\x64\x6c\
\x65\x5f\x73\x74\x61\x72\x74\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x31\
\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x32\0\x72\x68\x5f\x72\x65\x73\
\x65\x72\x76\x65\x64\x33\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x34\0\
\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x72\x61\x77\x5f\x73\
\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\0\x61\x72\x63\
\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x6c\x6f\x63\x6b\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x6c\x6f\x6e\x67\0\x63\x61\x6c\x6c\x5f\x73\x69\x6e\x67\x6c\x65\x5f\x64\x61\x74\
\x61\x5f\x74\0\x5f\x5f\x63\x61\x6c\x6c\x5f\x73\x69\x6e\x67\x6c\x65\x5f\x64\x61\
\x74\x61\0\x6e\x6f\x64\x65\0\x66\x75\x6e\x63\0\x69\x6e\x66\x6f\0\x5f\x5f\x63\
\x61\x6c\x6c\x5f\x73\x69\x6e\x67\x6c\x65\x5f\x6e\x6f\x64\x65\0\x6c\x6c\x69\x73\
\x74\0\x73\x72\x63\0\x64\x73\x74\0\x6c\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\
\x6e\x65\x78\x74\0\x75\x5f\x66\x6c\x61\x67\x73\0\x61\x5f\x66\x6c\x61\x67\x73\0\
\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x75\x31\x36\0\
\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\
\0\x73\x6d\x70\x5f\x63\x61\x6c\x6c\x5f\x66\x75\x6e\x63\x5f\x74\0\x75\x36\x34\0\
\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x63\x66\x73\x5f\x72\x71\0\x6c\x6f\x61\x64\0\x68\x5f\x6e\x72\
\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x69\x64\x6c\x65\x5f\x6e\x72\x5f\x72\x75\x6e\
\x6e\x69\x6e\x67\0\x69\x64\x6c\x65\x5f\x68\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\
\x6e\x67\0\x65\x78\x65\x63\x5f\x63\x6c\x6f\x63\x6b\0\x6d\x69\x6e\x5f\x76\x72\
\x75\x6e\x74\x69\x6d\x65\0\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x73\x65\x71\
\0\x6d\x69\x6e\x5f\x76\x72\x75\x6e\x74\x69\x6d\x65\x5f\x66\x69\0\x74\x61\x73\
\x6b\x73\x5f\x74\x69\x6d\x65\x6c\x69\x6e\x65\0\x6c\x61\x73\x74\0\x73\x6b\x69\
\x70\0\x6e\x72\x5f\x73\x70\x72\x65\x61\x64\x5f\x6f\x76\x65\x72\0\x61\x76\x67\0\
\x72\x65\x6d\x6f\x76\x65\x64\0\x74\x67\x5f\x6c\x6f\x61\x64\x5f\x61\x76\x67\x5f\
\x63\x6f\x6e\x74\x72\x69\x62\0\x70\x72\x6f\x70\x61\x67\x61\x74\x65\0\x70\x72\
\x6f\x70\x5f\x72\x75\x6e\x6e\x61\x62\x6c\x65\x5f\x73\x75\x6d\0\x68\x5f\x6c\x6f\
\x61\x64\0\x6c\x61\x73\x74\x5f\x68\x5f\x6c\x6f\x61\x64\x5f\x75\x70\x64\x61\x74\
\x65\0\x68\x5f\x6c\x6f\x61\x64\x5f\x6e\x65\x78\x74\0\x6f\x6e\x5f\x6c\x69\x73\
\x74\0\x74\x67\0\x72\x75\x6e\x74\x69\x6d\x65\x5f\x65\x6e\x61\x62\x6c\x65\x64\0\
\x72\x75\x6e\x74\x69\x6d\x65\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\0\x74\x68\
\x72\x6f\x74\x74\x6c\x65\x64\x5f\x63\x6c\x6f\x63\x6b\0\x74\x68\x72\x6f\x74\x74\
\x6c\x65\x64\x5f\x63\x6c\x6f\x63\x6b\x5f\x74\x61\x73\x6b\0\x74\x68\x72\x6f\x74\
\x74\x6c\x65\x64\x5f\x63\x6c\x6f\x63\x6b\x5f\x74\x61\x73\x6b\x5f\x74\x69\x6d\
\x65\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\0\x74\x68\x72\x6f\x74\x74\x6c\x65\
\x5f\x63\x6f\x75\x6e\x74\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\x5f\x6c\x69\x73\
\x74\0\x6c\x6f\x61\x64\x5f\x77\x65\x69\x67\x68\x74\0\x77\x65\x69\x67\x68\x74\0\
\x69\x6e\x76\x5f\x77\x65\x69\x67\x68\x74\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\
\x72\x62\x5f\x72\x6f\x6f\x74\x5f\x63\x61\x63\x68\x65\x64\0\x72\x62\x5f\x72\x6f\
\x6f\x74\0\x72\x62\x5f\x6c\x65\x66\x74\x6d\x6f\x73\x74\0\x72\x62\x5f\x6e\x6f\
\x64\x65\0\x73\x63\x68\x65\x64\x5f\x61\x76\x67\0\x6c\x61\x73\x74\x5f\x75\x70\
\x64\x61\x74\x65\x5f\x74\x69\x6d\x65\0\x6c\x6f\x61\x64\x5f\x73\x75\x6d\0\x72\
\x75\x6e\x6e\x61\x62\x6c\x65\x5f\x73\x75\x6d\0\x75\x74\x69\x6c\x5f\x73\x75\x6d\
\0\x70\x65\x72\x69\x6f\x64\x5f\x63\x6f\x6e\x74\x72\x69\x62\0\x6c\x6f\x61\x64\
\x5f\x61\x76\x67\0\x72\x75\x6e\x6e\x61\x62\x6c\x65\x5f\x61\x76\x67\0\x75\x74\
\x69\x6c\x5f\x61\x76\x67\0\x75\x74\x69\x6c\x5f\x65\x73\x74\0\x65\x6e\x71\x75\
\x65\x75\x65\x64\0\x65\x77\x6d\x61\0\x6e\x72\0\x6c\x6f\x6e\x67\0\x6c\x69\x73\
\x74\x5f\x68\x65\x61\x64\0\x70\x72\x65\x76\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\
\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x72\x74\x5f\x72\x71\0\x61\x63\x74\x69\
\x76\x65\0\x72\x74\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x72\x72\x5f\
\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x68\x69\x67\x68\x65\x73\x74\x5f\x70\
\x72\x69\x6f\0\x72\x74\x5f\x6e\x72\x5f\x6d\x69\x67\x72\x61\x74\x6f\x72\x79\0\
\x72\x74\x5f\x6e\x72\x5f\x74\x6f\x74\x61\x6c\0\x6f\x76\x65\x72\x6c\x6f\x61\x64\
\x65\x64\0\x70\x75\x73\x68\x61\x62\x6c\x65\x5f\x74\x61\x73\x6b\x73\0\x72\x74\
\x5f\x71\x75\x65\x75\x65\x64\0\x72\x74\x5f\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\
\0\x72\x74\x5f\x74\x69\x6d\x65\0\x72\x74\x5f\x72\x75\x6e\x74\x69\x6d\x65\0\x72\
\x74\x5f\x72\x75\x6e\x74\x69\x6d\x65\x5f\x6c\x6f\x63\x6b\0\x72\x74\x5f\x70\x72\
\x69\x6f\x5f\x61\x72\x72\x61\x79\0\x62\x69\x74\x6d\x61\x70\0\x71\x75\x65\x75\
\x65\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x70\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x6f\x64\x65\x5f\x6c\x69\
\x73\x74\0\x64\x6c\x5f\x72\x71\0\x72\x6f\x6f\x74\0\x64\x6c\x5f\x6e\x72\x5f\x72\
\x75\x6e\x6e\x69\x6e\x67\0\x65\x61\x72\x6c\x69\x65\x73\x74\x5f\x64\x6c\0\x64\
\x6c\x5f\x6e\x72\x5f\x6d\x69\x67\x72\x61\x74\x6f\x72\x79\0\x70\x75\x73\x68\x61\
\x62\x6c\x65\x5f\x64\x6c\x5f\x74\x61\x73\x6b\x73\x5f\x72\x6f\x6f\x74\0\x72\x75\
\x6e\x6e\x69\x6e\x67\x5f\x62\x77\0\x74\x68\x69\x73\x5f\x62\x77\0\x65\x78\x74\
\x72\x61\x5f\x62\x77\0\x62\x77\x5f\x72\x61\x74\x69\x6f\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x63\x70\x75\x5f\x73\x74\x6f\x70\x5f\x77\x6f\
\x72\x6b\0\x6c\x69\x73\x74\0\x66\x6e\0\x63\x61\x6c\x6c\x65\x72\0\x61\x72\x67\0\
\x64\x6f\x6e\x65\0\x63\x70\x75\x5f\x73\x74\x6f\x70\x5f\x66\x6e\x5f\x74\0\x72\
\x63\x75\x77\x61\x69\x74\0\x74\x61\x73\x6b\0\x68\x72\x74\x69\x6d\x65\x72\0\x5f\
\x73\x6f\x66\x74\x65\x78\x70\x69\x72\x65\x73\0\x66\x75\x6e\x63\x74\x69\x6f\x6e\
\0\x62\x61\x73\x65\0\x73\x74\x61\x74\x65\0\x69\x73\x5f\x72\x65\x6c\0\x69\x73\
\x5f\x73\x6f\x66\x74\0\x69\x73\x5f\x68\x61\x72\x64\0\x74\x69\x6d\x65\x72\x71\
\x75\x65\x75\x65\x5f\x6e\x6f\x64\x65\0\x65\x78\x70\x69\x72\x65\x73\0\x5f\x5f\
\x72\x62\x5f\x70\x61\x72\x65\x6e\x74\x5f\x63\x6f\x6c\x6f\x72\0\x72\x62\x5f\x72\
\x69\x67\x68\x74\0\x72\x62\x5f\x6c\x65\x66\x74\0\x6b\x74\x69\x6d\x65\x5f\x74\0\
\x68\x72\x74\x69\x6d\x65\x72\x5f\x72\x65\x73\x74\x61\x72\x74\0\x48\x52\x54\x49\
\x4d\x45\x52\x5f\x4e\x4f\x52\x45\x53\x54\x41\x52\x54\0\x48\x52\x54\x49\x4d\x45\
\x52\x5f\x52\x45\x53\x54\x41\x52\x54\0\x75\x38\0\x5f\x5f\x75\x38\0\x73\x63\x68\
\x65\x64\x5f\x69\x6e\x66\x6f\0\x70\x63\x6f\x75\x6e\x74\0\x72\x75\x6e\x5f\x64\
\x65\x6c\x61\x79\0\x6c\x61\x73\x74\x5f\x61\x72\x72\x69\x76\x61\x6c\0\x6c\x61\
\x73\x74\x5f\x71\x75\x65\x75\x65\x64\0\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\
\x69\x6e\x67\x5f\x74\x79\x70\x65\x64\0\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\
\x69\x6e\x67\x5f\x74\x79\x70\x65\x6c\x65\x73\x73\0\x6f\x75\x74\x5f\x5f\x6e\x6f\
\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x74\x79\x70\x65\x6c\x65\x73\x73\0\
\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x74\
\x79\x70\x65\x64\0\x72\x75\x6e\x71\x75\x65\x75\x65\x73\0\x62\x70\x66\x5f\x70\
\x72\x6f\x67\x5f\x61\x63\x74\x69\x76\x65\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\
\x66\x6f\x70\x73\x31\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\
\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x61\x6c\x6c\x62\x61\
\x63\x6b\x5f\x68\x65\x61\x64\0\x63\x70\x75\x5f\x73\x74\x6f\x70\x5f\x64\x6f\x6e\
\x65\0\x68\x72\x74\x69\x6d\x65\x72\x5f\x63\x6c\x6f\x63\x6b\x5f\x62\x61\x73\x65\
\0\x6d\x6d\x5f\x73\x74\x72\x75\x63\x74\0\x72\x6f\x6f\x74\x5f\x64\x6f\x6d\x61\
\x69\x6e\0\x73\x63\x68\x65\x64\x5f\x64\x6f\x6d\x61\x69\x6e\0\x73\x63\x68\x65\
\x64\x5f\x65\x6e\x74\x69\x74\x79\0\x74\x61\x73\x6b\x5f\x67\x72\x6f\x75\x70\0\
\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x31\x37\x34\x2e\x65\x6c\x39\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x31\x37\x34\x2e\x65\x6c\x39\x2e\
\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x6b\x73\x79\x6d\x73\x5f\x77\x65\x61\x6b\x2e\x63\0\
\x09\x72\x71\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x72\x71\x20\x2a\x29\
\x62\x70\x66\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x26\x72\x75\
\x6e\x71\x75\x65\x75\x65\x73\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x72\x71\
\x29\0\x09\x09\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\x67\x5f\x74\x79\
\x70\x65\x64\x20\x3d\x20\x72\x71\x2d\x3e\x63\x70\x75\x3b\0\x09\x6f\x75\x74\x5f\
\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x74\x79\x70\x65\x6c\
\x65\x73\x73\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x26\x62\x70\x66\x5f\x6c\
\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x31\x3b\0\x09\x6f\x75\x74\x5f\x5f\x65\x78\x69\
\x73\x74\x69\x6e\x67\x5f\x74\x79\x70\x65\x6c\x65\x73\x73\x20\x3d\x20\x28\x5f\
\x5f\x75\x36\x34\x29\x26\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x61\x63\x74\x69\
\x76\x65\x3b\0\x09\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\
\x6e\x74\x5f\x74\x79\x70\x65\x64\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x26\
\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\x3b\0\x09\x69\x66\x20\
\x28\x26\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\x29\x20\x2f\
\x2a\x20\x63\x61\x6e\x27\x74\x20\x68\x61\x70\x70\x65\x6e\x20\x2a\x2f\0\x09\x09\
\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x74\
\x79\x70\x65\x64\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x62\x70\x66\x5f\x70\
\x65\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x26\x62\x70\x66\x5f\x6c\x69\x6e\
\x6b\x5f\x66\x6f\x70\x73\x32\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x30\x3b\0\x30\x3a\x34\x30\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\
\x65\x6e\x74\x65\x72\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\
\x14\0\0\0\xbc\0\0\0\xd0\0\0\0\x1c\0\0\0\x08\0\0\x0d\x97\0\0\0\x01\0\0\0\0\0\0\
\0\x05\0\0\0\x10\0\0\x0d\x97\0\0\0\x0b\0\0\0\0\0\0\x0b\x8d\0\0\x0c\x08\0\0\x9c\
\x14\0\0\0\x20\0\0\x0b\x8d\0\0\x0c\x3b\0\0\xa0\x06\0\0\0\x28\0\0\x0b\x8d\0\0\
\x0c\x44\0\0\xa4\x1d\0\0\0\x30\0\0\x0b\x8d\0\0\x0c\x44\0\0\xa4\x17\0\0\0\x48\0\
\0\x0b\x8d\0\0\x0c\x65\0\0\xb4\x1d\0\0\0\x70\0\0\x0b\x8d\0\0\x0c\x9b\0\0\xa8\
\x19\0\0\0\x98\0\0\x0b\x8d\0\0\x0c\xce\0\0\xc0\x1a\0\0\0\xc0\0\0\x0b\x8d\0\0\
\x0d\x01\0\0\xc8\x06\0\0\0\xc8\0\0\x0b\x8d\0\0\x0d\x2a\0\0\xcc\x24\0\0\0\xe8\0\
\0\x0b\x8d\0\0\x0d\x2a\0\0\xcc\x1b\0\0\0\xf0\0\0\x0b\x8d\0\0\x0d\x72\0\0\xd4\
\x02\0\0\0\x10\0\0\x0d\x97\0\0\0\x01\0\0\0\x28\0\0\0\x06\0\0\x0d\x7d\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\x1f\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x60\0\0\0\0\0\0\x01\x68\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x02\xc8\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\xc8\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\xe8\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\xfc\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xf0\0\0\0\0\0\
\0\0\x90\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x11\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x80\0\0\0\0\0\0\x1e\
\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x16\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\x98\0\0\0\0\0\0\x01\x0c\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#endif /* __TEST_KSYMS_WEAK_SKEL_H__ */
